## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SybaseASABaseForeignKeyLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.SybaseASABaseForeignKeyLoader

Direct Known Subclasses:
  SybaseASAForeignKeyLoader

    public class SybaseASABaseForeignKeyLoader

extends java.lang.Object

Constructor Summary
`SybaseASABaseForeignKeyLoader(SybaseASABaseForeignKey catalogFK)`

Method Summary
`void` `loadFKInfo(org.eclipse.emf.common.util.EList memberContainmentList, org.eclipse.emf.common.util.EList refMemContainmentList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASABaseForeignKeyLoader

    public SybaseASABaseForeignKeyLoader(SybaseASABaseForeignKey catalogFK)

Method Detail

### loadFKInfo

    public final void loadFKInfo(org.eclipse.emf.common.util.EList memberContainmentList,
                                 org.eclipse.emf.common.util.EList refMemContainmentList)